#include<bits/stdc++.h>
using namespace std;

#define ll long long

int main()
{
	ios::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);

	// s[0] je prvi karakter
	// s[1] je drugi karakter
	string s; cin >> s;
	
	char c1 = s[0];
	char c2 = s[1];

	int a1, a2;
	cin >> a1 >> a2;

	if (abs(a1 - a2) > 1) {
		cout << "nemoguce\n";
	}
	else {
		if (a1 < a2) { 
			swap(a1, a2);
			swap(c1, c2);
		}
		string ans = "";
		for (int i = 0; i < a2; i++) {
			ans += c1;
			ans += c2;
		}
		if (a1 > a2) {
			ans += c1;
		}
		
		cout << ans << "\n";
	}
	return 0;
}